Commit 9b5d8262 authored by Kirill Smelkov's avatar Kirill Smelkov

v↑ zodbtools (0.0.0.dev4)

Starting from this version zodbtools requires zodburi to open ZODB
storages by URL (see zodbtools@db3b84ec
and zodbtools@82b06413)

zodburi in turn requires ZEO (maybe we might patch it to only optionally
depend on it), so we move ZEO requirement from stack/ERP5 to the place
where it is actually first needed.
parent 1b540151
......@@ -121,7 +121,7 @@ slapos.toolbox = 0.73
smmap2 = 2.0.1
transaction = 1.7.0
zodbpickle = 0.6.0
zodbtools = 0.0.0.dev3
zodbtools = 0.0.0.dev4
# Required by:
# slapos.toolbox==0.71
......@@ -153,3 +153,20 @@ paramiko = 2.1.2
# Required by:
# slapos.toolbox==0.71
passlib = 1.7.1
# Required by:
# zodbtools==0.0.0dev4
zodburi = 2.3.0
# Required by:
# zodburi==2.0
# ZEO 5 requires transaction >= 2
ZEO = 4.3.1
# Required by:
# zodburi==2.0
mock = 2.0.0
  • @kirr If I read https://github.com/Pylons/zodburi/blob/2.3.0/setup.py#L21 correctly, mock is only a test require and does not get installed here. In !568 (merged) I'm removing mock version pin here, to add a it as a dependency of ERP5 (as a more recent version).

    Let me know if you see something wrong, thanks!

  • @jerome, thanks for noticing. Indeed in 2.3 zodburi mock is required only for testing, but at zodburi=2.0 (which I probably used originally while developing 9b5d8262) mock was required for the package to work in general. It was fixed here: https://github.com/Pylons/zodburi/commit/503ae94c. It is thus safe to drop zodburi->mock requirement.

  • Thanks, that also explains why we had zodburi==2.0.

Please register or sign in to reply
# Required by:
# ZEO==4.3.1
zdaemon = 4.2.0
......@@ -688,8 +688,6 @@ PyXML = 0.8.5
Pympler = 0.4.3
StructuredText = 2.11.1
WSGIUtils = 0.7
# ZEO 5 requires transaction >= 2
ZEO = 4.3.1
ZODB3 = 3.11.0
# astroid 1.4.1 breaks testDynamicClassGeneration
astroid = 1.3.8
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment